Get Facility history for an Asset

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://docs.reelables.com/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "Reelables API MCP server": {
    "url": "https://docs.reelables.com/mcp"
  }
}

Close
GET /assets/{assetId}/facilities

Headers

  • request-id string

    Unique identifier for the API request. Example: f7ecf495-ca1c-4468-a6c2-6ee3f723fa00

Path parameters

  • assetId string Required

    The identifier of the Asset

Query parameters

  • limit string

    Number of items to return. Default: 10. Maximum: 10000

  • nextToken string

    Pagination token to get next page of items

Responses

  • 200 application/json

    200 response

    Hide response attributes Show response attributes object
    • nextToken string

      Pagination token

      Maximum length is 5000. Format should match the following pattern: ^[a-zA-Z0-9!@#$&()\-.+,/"]*$`.

    • items array[object] Required
      Hide items attributes Show items attributes object
      • hasExited boolean

        Indicate whether the item has exited the Facility

      • facilityId string(uuid) Required

        Unique identifier of the Facility. Example: 'd290f1ee-6c54-4b01-90e6-d701748f0851'

        Maximum length is 36. Format should match the following pattern: ^[a-fA-F0-9]{8}-[a-fA-F0-9]{4}-[a-fA-F0-9]{4}-[a-fA-F0-9]{4}-[a-fA-F0-9]{12}$.

      • enteredOn string(date-time) Required

        Date that the item entered the Facility. Example: '2023-07-21T17:32:28Z'

        Maximum length is 20. Format should match the following pattern: ^[0-9TZ:-]*$.

      • facilityName string Required

        The name of the Facility

        Maximum length is 500. Format should match the following pattern: ^[a-zA-Z0-9!@#$&()\-.+,/" ]*$`.

      • exitedOn string(date-time)

        Date that the item exited the Facility. Example: '2023-07-21T17:32:28Z'

        Maximum length is 20. Format should match the following pattern: ^[0-9TZ:-]*$.

      • userFacilityId string

        A facility identifier relevant to the user

        Maximum length is 500.

  • 401 application/json

    Unauthorized

    Hide response attribute Show response attribute object
    • errors array[object] Required
      Hide errors attributes Show errors attributes object
      • code string

        An application-specific error code, expressed as a string value

        Maximum length is 100. Format should match the following pattern: ^[a-zA-Z0-9!@#$&()\-.+,/"]*$`.

      • id string

        A unique identifier for this particular occurrence of the problem

        Maximum length is 100. Format should match the following pattern: ^[a-zA-Z0-9!@#$&()\-.+,/"]*$`.

      • detail string

        A human-readable explanation specific to this occurrence of the problem

        Maximum length is 500. Format should match the following pattern: ^[a-zA-Z0-9!@#$&()\-.+,/" ]*$`.

      • title string

        A short, human-readable summary of the problem

        Maximum length is 100. Format should match the following pattern: ^[a-zA-Z0-9!@#$&()\-.+,/" ]*$`.

      • status string

        The HTTP status code applicable to this problem, expressed as a string value

        Maximum length is 3. Format should match the following pattern: ^[0-9]*$.

  • 403 application/json

    Forbidden

    Hide response attribute Show response attribute object
    • errors array[object] Required
      Hide errors attributes Show errors attributes object
      • code string

        An application-specific error code, expressed as a string value

        Maximum length is 100. Format should match the following pattern: ^[a-zA-Z0-9!@#$&()\-.+,/"]*$`.

      • id string

        A unique identifier for this particular occurrence of the problem

        Maximum length is 100. Format should match the following pattern: ^[a-zA-Z0-9!@#$&()\-.+,/"]*$`.

      • detail string

        A human-readable explanation specific to this occurrence of the problem

        Maximum length is 500. Format should match the following pattern: ^[a-zA-Z0-9!@#$&()\-.+,/" ]*$`.

      • title string

        A short, human-readable summary of the problem

        Maximum length is 100. Format should match the following pattern: ^[a-zA-Z0-9!@#$&()\-.+,/" ]*$`.

      • status string

        The HTTP status code applicable to this problem, expressed as a string value

        Maximum length is 3. Format should match the following pattern: ^[0-9]*$.

  • 404 application/json

    Asset not found

    Hide response attribute Show response attribute object
    • errors array[object] Required
      Hide errors attributes Show errors attributes object
      • code string

        An application-specific error code, expressed as a string value

        Maximum length is 100. Format should match the following pattern: ^[a-zA-Z0-9!@#$&()\-.+,/"]*$`.

      • id string

        A unique identifier for this particular occurrence of the problem

        Maximum length is 100. Format should match the following pattern: ^[a-zA-Z0-9!@#$&()\-.+,/"]*$`.

      • detail string

        A human-readable explanation specific to this occurrence of the problem

        Maximum length is 500. Format should match the following pattern: ^[a-zA-Z0-9!@#$&()\-.+,/" ]*$`.

      • title string

        A short, human-readable summary of the problem

        Maximum length is 100. Format should match the following pattern: ^[a-zA-Z0-9!@#$&()\-.+,/" ]*$`.

      • status string

        The HTTP status code applicable to this problem, expressed as a string value

        Maximum length is 3. Format should match the following pattern: ^[0-9]*$.

  • 429 application/json

    Too Many Requests

    Hide response attribute Show response attribute object
    • errors array[object] Required
      Hide errors attributes Show errors attributes object
      • code string

        An application-specific error code, expressed as a string value

        Maximum length is 100. Format should match the following pattern: ^[a-zA-Z0-9!@#$&()\-.+,/"]*$`.

      • id string

        A unique identifier for this particular occurrence of the problem

        Maximum length is 100. Format should match the following pattern: ^[a-zA-Z0-9!@#$&()\-.+,/"]*$`.

      • detail string

        A human-readable explanation specific to this occurrence of the problem

        Maximum length is 500. Format should match the following pattern: ^[a-zA-Z0-9!@#$&()\-.+,/" ]*$`.

      • title string

        A short, human-readable summary of the problem

        Maximum length is 100. Format should match the following pattern: ^[a-zA-Z0-9!@#$&()\-.+,/" ]*$`.

      • status string

        The HTTP status code applicable to this problem, expressed as a string value

        Maximum length is 3. Format should match the following pattern: ^[0-9]*$.

GET /assets/{assetId}/facilities
curl \
 --request GET 'https://api.reelables.com/v1/assets/{assetId}/facilities' \
 --header "Authorization: Bearer $ACCESS_TOKEN" \
 --header "request-id: string"
Response examples (200)
{
  "nextToken": "string",
  "items": [
    {
      "hasExited": true,
      "facilityId": "string",
      "enteredOn": "2026-05-04T09:42:00Z",
      "facilityName": "string",
      "exitedOn": "2026-05-04T09:42:00Z",
      "userFacilityId": "string"
    }
  ]
}
Response examples (401)
{
  "errors": [
    {
      "code": "string",
      "id": "string",
      "detail": "string",
      "title": "string",
      "status": "string"
    }
  ]
}
Response examples (403)
{
  "errors": [
    {
      "code": "string",
      "id": "string",
      "detail": "string",
      "title": "string",
      "status": "string"
    }
  ]
}
Response examples (404)
{
  "errors": [
    {
      "code": "string",
      "id": "string",
      "detail": "string",
      "title": "string",
      "status": "string"
    }
  ]
}
Response examples (429)
{
  "errors": [
    {
      "code": "string",
      "id": "string",
      "detail": "string",
      "title": "string",
      "status": "string"
    }
  ]
}